diff --git a/lang/node/Makefile b/lang/node/Makefile
index 7bef5fb0802..f98eb9dd078 100644
--- a/lang/node/Makefile
+++ b/lang/node/Makefile
@@ -11,14 +11,12 @@ USE_WXNEEDED =		Yes
 
 COMMENT =		V8 JavaScript for clients and servers
 
-NODE_VERSION =		v8.12.0
-
+NODE_VERSION =		v10.15.0
 PLEDGE_VER =		1.1.0
 DISTFILES =		node-pledge-{}${PLEDGE_VER}.tar.gz:0 ${DISTNAME}.tar.gz
 
 DISTNAME =		node-${NODE_VERSION}
 PKGNAME =		${DISTNAME:S/v//g}
-REVISION =		1
 
 MASTER_SITES0 =		https://github.com/qbit/node-pledge/archive/
 
@@ -35,7 +33,7 @@ MASTER_SITES =		${HOMEPAGE}dist/${NODE_VERSION}/
 
 MODULES =		lang/python
 
-WANTLIB += c execinfo kvm m pthread util z ${COMPILER_LIBCXX}
+WANTLIB += c execinfo kvm m pthread util ${COMPILER_LIBCXX}
 
 COMPILER =		base-clang ports-gcc base-gcc
 
@@ -53,8 +51,7 @@ CONFIGURE_STYLE =	simple
 
 # libpath and includes aren't picked up, but I added them here as a note.
 # The patch for node.gyp is where they are actually being set.
-CONFIGURE_ARGS =	--prefix=${PREFIX} \
-			--shared-zlib
+CONFIGURE_ARGS =	--prefix=${PREFIX}
 
 .if "${MACHINE_ARCH}" ==	"aarch64"
 CONFIGURE_ARGS +=	--openssl-no-asm
@@ -78,13 +75,6 @@ do-extract:
 	mv ${WRKSRC}/deps/npm/node_modules/node-pledge-${PLEDGE_VER} \
 		${WRKSRC}/deps/npm/node_modules/node-pledge
 
-post-extract:
-	# Currently tarbals exclude tools/eslint, while the tests that require it
-	# are still in tree
-	cd ${WRKSRC} && for x in $$(grep -r "tools/eslint" test/* | awk -F: '{print $$1}' | sort | uniq); do \
-		rm $$x; \
-	done
-
 pre-configure:
 	@# Bad practice, but prevents a whole stack of patches.
 	ln -sf ${LOCALBASE}/bin/python${MODPY_VERSION} ${WRKDIR}/bin/python
@@ -95,13 +85,12 @@ pre-configure:
 		${WRKDIST}/node.gyp \
 		${WRKDIST}/common.gypi \
 		${WRKDIST}/tools/test.py
-# generate PIC assembly code
-.if ${MACHINE_ARCH} == "i386"
-	find ${WRKDIST}/deps/openssl/asm/x86-elf-gas -name '*.s' -delete
-	find ${WRKDIST}/deps/openssl/asm -type f -exec touch {} +
-	cd ${WRKDIST}/deps/openssl/asm && \
-		${MAKE_PROGRAM} -j${MAKE_JOBS} CC="${CC}" ASM="${CC}" all
-.endif
+	cd ${WRKDIST}/deps/openssl/config && \
+		${MAKE_PROGRAM} ARCHS=BSD-x86-elf
+
+post-configure:
+	sed -i 's/-ldl //' ${WRKSRC}/out/deps/openssl/openssl.target.mk
+	sed -i 's/-ldl //' ${WRKSRC}/out/deps/openssl/openssl-cli.target.mk
 
 post-install:
 	${MODPY_BIN} ${MODPY_LIBDIR}/compileall.py \
diff --git a/lang/node/distinfo b/lang/node/distinfo
index b9bc179edc8..03d88505a8c 100644
--- a/lang/node/distinfo
+++ b/lang/node/distinfo
@@ -1,4 +1,4 @@
 SHA256 (node-pledge-1.1.0.tar.gz) = BuKnrXSkqpTb5Tfap1AHk+l7ucTJLEWbMFNbgQkNBsw=
-SHA256 (node-v8.12.0.tar.gz) = tHl4QxNu3ZGVwoIhoWgK5Swp2Gf8X8HJn31uLyEmpns=
+SHA256 (node-v10.15.0.tar.gz) = 2+Rn49q7aFT8sM2W4ECCJoyx4xPOl6S3EAsu0VKwoKs=
 SIZE (node-pledge-1.1.0.tar.gz) = 2560
-SIZE (node-v8.12.0.tar.gz) = 30393516
+SIZE (node-v10.15.0.tar.gz) = 36300933
diff --git a/lang/node/patches/patch-Makefile b/lang/node/patches/patch-Makefile
index 033b6f8510d..ef77e1de3fb 100644
--- a/lang/node/patches/patch-Makefile
+++ b/lang/node/patches/patch-Makefile
@@ -2,33 +2,33 @@ $OpenBSD: patch-Makefile,v 1.7 2018/09/19 19:10:27 abieber Exp $
 Index: Makefile
 --- Makefile.orig
 +++ Makefile
-@@ -101,7 +101,7 @@ out/Makefile: common.gypi deps/uv/uv.gyp deps/http_par
- config.gypi: configure
- 	$(error Missing or stale $@, please run ./$<)
+@@ -138,7 +138,7 @@ config.gypi: configure configure.py
+ 	fi
  
+ .PHONY: install
 -install: all ## Installs node into $PREFIX (default=/usr/local).
 +install: all build-pledge ## Installs node into $PREFIX (default=/usr/local).
  	$(PYTHON) tools/install.py $@ '$(DESTDIR)' '$(PREFIX)'
  
- uninstall: ## Uninstalls node from $PREFIX (default=/usr/local).
-@@ -251,7 +251,6 @@ test-cov: all
- 	$(PYTHON) tools/test.py --mode=release -J \
- 		$(CI_JS_SUITES) \
- 		$(CI_NATIVE_SUITES)
--	$(MAKE) lint
- 
- test-parallel: all
- 	$(PYTHON) tools/test.py --mode=release parallel -J
-@@ -331,6 +330,12 @@ test/addons/.buildstamp: config.gypi \
- # Just goes to show that recursive make really is harmful...
+ .PHONY: uninstall
+@@ -380,6 +380,12 @@ test/addons/.buildstamp: $(ADDONS_PREREQS) \
  # TODO(bnoordhuis) Force rebuild after gyp update.
  build-addons: | $(NODE_EXE) test/addons/.buildstamp
-+
+ 
 +build-pledge: $(NODE_EXE)
 +	$(NODE) deps/npm/node_modules/node-gyp/bin/node-gyp rebuild \
 +		--directory="deps/npm/node_modules/node-pledge" \
 +		--nodedir="$(shell pwd)" && \
 +	$(RM) -rf deps/npm/node_modules/node-pledge/build/Release/{.deps,../Makefile,obj.target}
- 
++
  ADDONS_NAPI_BINDING_GYPS := \
  	$(filter-out test/addons-napi/??_*/binding.gyp, \
+ 		$(wildcard test/addons-napi/*/binding.gyp))
+@@ -518,7 +524,6 @@ test-hash-seed: all
+ 
+ .PHONY: test-doc
+ test-doc: doc-only ## Builds, lints, and verifies the docs.
+-	$(MAKE) lint
+ 	$(PYTHON) tools/test.py $(PARALLEL_ARGS) $(CI_DOC)
+ 
+ test-known-issues: all
diff --git a/lang/node/patches/patch-common_gypi b/lang/node/patches/patch-common_gypi
index 682b5771be0..2c28be2a53e 100644
--- a/lang/node/patches/patch-common_gypi
+++ b/lang/node/patches/patch-common_gypi
@@ -2,7 +2,7 @@ $OpenBSD: patch-common_gypi,v 1.10 2018/06/21 23:13:28 abieber Exp $
 Index: common.gypi
 --- common.gypi.orig
 +++ common.gypi
-@@ -426,6 +426,10 @@
+@@ -515,6 +515,10 @@
          'ldflags': [
            '-Wl,--export-dynamic',
          ],
diff --git a/lang/node/patches/patch-deps_openssl_asm_Makefile b/lang/node/patches/patch-deps_openssl_asm_Makefile
deleted file mode 100644
index 3a00238deea..00000000000
--- a/lang/node/patches/patch-deps_openssl_asm_Makefile
+++ /dev/null
@@ -1,65 +0,0 @@
-$OpenBSD: patch-deps_openssl_asm_Makefile,v 1.1 2018/11/16 21:18:15 naddy Exp $
-
-Generate PIC assembly code.
-CAST assembly is not PIC.
-
-Index: deps/openssl/asm/Makefile
---- deps/openssl/asm/Makefile.orig
-+++ deps/openssl/asm/Makefile
-@@ -3,7 +3,7 @@ PERL	+= -I../openssl/crypto/perlasm -I../openssl/crypt
- 
- # OPENSSL_IA32_SSE2 flag is needed for checking the sse2 feature on ia32
- # see https://github.com/openssl/openssl/blob/OpenSSL_1_0_2-stable/crypto/sha/asm/sha512-586.pl#L56
--SSE2	= -DOPENSSL_IA32_SSE2
-+SSE2	= -fPIC -DOPENSSL_IA32_SSE2
- 
- OUTPUTS	= \
- 	x86-elf-gas/aes/aes-586.s \
-@@ -15,7 +15,6 @@ OUTPUTS	= \
- 	x86-elf-gas/bn/x86-mont.s \
- 	x86-elf-gas/bn/x86-gf2m.s \
- 	x86-elf-gas/camellia/cmll-x86.s \
--	x86-elf-gas/cast/cast-586.s \
- 	x86-elf-gas/des/crypt586.s \
- 	x86-elf-gas/des/des-586.s \
- 	x86-elf-gas/md5/md5-586.s \
-@@ -77,7 +76,6 @@ OUTPUTS	= \
- 	x86-macosx-gas/bn/x86-mont.s \
- 	x86-macosx-gas/bn/x86-gf2m.s \
- 	x86-macosx-gas/camellia/cmll-x86.s \
--	x86-macosx-gas/cast/cast-586.s \
- 	x86-macosx-gas/des/crypt586.s \
- 	x86-macosx-gas/des/des-586.s \
- 	x86-macosx-gas/md5/md5-586.s \
-@@ -122,7 +120,6 @@ OUTPUTS	= \
- 	x86-win32-masm/bn/x86-mont.asm \
- 	x86-win32-masm/bn/x86-gf2m.asm \
- 	x86-win32-masm/camellia/cmll-x86.asm \
--	x86-win32-masm/cast/cast-586.asm \
- 	x86-win32-masm/des/crypt586.asm \
- 	x86-win32-masm/des/des-586.asm \
- 	x86-win32-masm/md5/md5-586.asm \
-@@ -313,7 +310,6 @@ x86-elf-gas/bn/co-586.s: ../openssl/crypto/bn/asm/co-5
- x86-elf-gas/bn/x86-mont.s: ../openssl/crypto/bn/asm/x86-mont.pl
- x86-elf-gas/bn/x86-gf2m.s: ../openssl/crypto/bn/asm/x86-gf2m.pl
- x86-elf-gas/camellia/cmll-x86.s: ../openssl/crypto/camellia/asm/cmll-x86.pl
--x86-elf-gas/cast/cast-586.s: ../openssl/crypto/cast/asm/cast-586.pl
- x86-elf-gas/des/crypt586.s: ../openssl/crypto/des/asm/crypt586.pl
- x86-elf-gas/des/des-586.s: ../openssl/crypto/des/asm/des-586.pl
- x86-elf-gas/md5/md5-586.s: ../openssl/crypto/md5/asm/md5-586.pl
-@@ -335,7 +331,6 @@ x86-macosx-gas/bn/co-586.s: ../openssl/crypto/bn/asm/c
- x86-macosx-gas/bn/x86-mont.s: ../openssl/crypto/bn/asm/x86-mont.pl
- x86-macosx-gas/bn/x86-gf2m.s: ../openssl/crypto/bn/asm/x86-gf2m.pl
- x86-macosx-gas/camellia/cmll-x86.s: ../openssl/crypto/camellia/asm/cmll-x86.pl
--x86-macosx-gas/cast/cast-586.s: ../openssl/crypto/cast/asm/cast-586.pl
- x86-macosx-gas/des/crypt586.s: ../openssl/crypto/des/asm/crypt586.pl
- x86-macosx-gas/des/des-586.s: ../openssl/crypto/des/asm/des-586.pl
- x86-macosx-gas/md5/md5-586.s: ../openssl/crypto/md5/asm/md5-586.pl
-@@ -357,7 +352,6 @@ x86-win32-masm/bn/co-586.asm: ../openssl/crypto/bn/asm
- x86-win32-masm/bn/x86-gf2m.asm: ../openssl/crypto/bn/asm/x86-gf2m.pl
- x86-win32-masm/bn/x86-mont.asm: ../openssl/crypto/bn/asm/x86-mont.pl
- x86-win32-masm/camellia/cmll-x86.asm: ../openssl/crypto/camellia/asm/cmll-x86.pl
--x86-win32-masm/cast/cast-586.asm: ../openssl/crypto/cast/asm/cast-586.pl
- x86-win32-masm/des/crypt586.asm: ../openssl/crypto/des/asm/crypt586.pl
- x86-win32-masm/des/des-586.asm: ../openssl/crypto/des/asm/des-586.pl
- x86-win32-masm/md5/md5-586.asm: ../openssl/crypto/md5/asm/md5-586.pl
diff --git a/lang/node/patches/patch-deps_openssl_config_Makefile b/lang/node/patches/patch-deps_openssl_config_Makefile
new file mode 100644
index 00000000000..549f537e97e
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_Makefile
@@ -0,0 +1,26 @@
+$OpenBSD$
+
+Index: deps/openssl/config/Makefile
+--- deps/openssl/config/Makefile.orig
++++ deps/openssl/config/Makefile
+@@ -1,15 +1,15 @@
+ # This Makefile is confirmed to be run only on Linux (CentOS and
+ # Ubuntu). perl5 and gas(>=2.26) are needed.
+ 
+-UNAME_S := $(shell uname -s)
+-ifneq ($(UNAME_S),Linux)
+-  $(error This can be run only on Linux)
+-endif
++#UNAME_S := $(shell uname -s)
++#ifneq ($(UNAME_S),Linux)
++#  $(error This can be run only on Linux)
++#endif
+ 
+ PERL    = perl
+ 
+ # Supported architecture list
+-ARCHS = aix-gcc aix64-gcc BSD-x86_64 \
++ARCHS = aix-gcc aix64-gcc BSD-x86-elf BSD-x86_64 \
+ darwin64-x86_64-cc darwin-i386-cc linux-aarch64 \
+ linux-armv4 linux-elf linux-x32 linux-x86_64 linux-ppc \
+ linux-ppc64 linux-ppc64le linux32-s390x linux64-s390x \
diff --git a/lang/node/patches/patch-deps_openssl_config_bn_conf_asm_h b/lang/node/patches/patch-deps_openssl_config_bn_conf_asm_h
new file mode 100644
index 00000000000..6c136fcd23c
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_bn_conf_asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/bn_conf_asm.h
+--- deps/openssl/config/bn_conf_asm.h.orig
++++ deps/openssl/config/bn_conf_asm.h
+@@ -22,7 +22,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/asm/crypto/include/internal/bn_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/asm/crypto/include/internal/bn_conf.h"
++# include "./archs/BSD-x86-elf/asm/crypto/include/internal/bn_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/asm/crypto/include/internal/bn_conf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_config_bn_conf_no-asm_h b/lang/node/patches/patch-deps_openssl_config_bn_conf_no-asm_h
new file mode 100644
index 00000000000..da258d9e152
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_bn_conf_no-asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/bn_conf_no-asm.h
+--- deps/openssl/config/bn_conf_no-asm.h.orig
++++ deps/openssl/config/bn_conf_no-asm.h
+@@ -22,7 +22,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/no-asm/crypto/include/internal/bn_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/no-asm/crypto/include/internal/bn_conf.h"
++# include "./archs/BSD-x86-elf/no-asm/crypto/include/internal/bn_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/no-asm/crypto/include/internal/bn_conf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_config_dso_conf_asm_h b/lang/node/patches/patch-deps_openssl_config_dso_conf_asm_h
new file mode 100644
index 00000000000..172e919caf8
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_dso_conf_asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/dso_conf_asm.h
+--- deps/openssl/config/dso_conf_asm.h.orig
++++ deps/openssl/config/dso_conf_asm.h
+@@ -22,7 +22,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/asm/crypto/include/internal/dso_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/asm/crypto/include/internal/dso_conf.h"
++# include "./archs/BSD-x86-elf/asm/crypto/include/internal/dso_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/asm/crypto/include/internal/dso_conf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_config_dso_conf_no-asm_h b/lang/node/patches/patch-deps_openssl_config_dso_conf_no-asm_h
new file mode 100644
index 00000000000..600db08cd06
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_dso_conf_no-asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/dso_conf_no-asm.h
+--- deps/openssl/config/dso_conf_no-asm.h.orig
++++ deps/openssl/config/dso_conf_no-asm.h
+@@ -22,7 +22,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/no-asm/crypto/include/internal/dso_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/no-asm/crypto/include/internal/dso_conf.h"
++# include "./archs/BSD-x86-elf/no-asm/crypto/include/internal/dso_conf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/no-asm/crypto/include/internal/dso_conf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_config_generate_gypi_pl b/lang/node/patches/patch-deps_openssl_config_generate_gypi_pl
new file mode 100644
index 00000000000..163934812eb
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_generate_gypi_pl
@@ -0,0 +1,61 @@
+$OpenBSD$
+
+Index: deps/openssl/config/generate_gypi.pl
+--- deps/openssl/config/generate_gypi.pl.orig
++++ deps/openssl/config/generate_gypi.pl
+@@ -22,24 +22,24 @@ unless ($asm eq "asm" or $asm eq "no-asm") {
+ my $arch = $ARGV[1];
+ 
+ # nasm version check
+-my $nasm_banner = `nasm -v`;
+-die "Error: nasm is not installed." if (!$nasm_banner);
++#my $nasm_banner = `nasm -v`;
++#die "Error: nasm is not installed." if (!$nasm_banner);
+ 
+-my $nasm_version_min = 2.11;
+-my ($nasm_version) = ($nasm_banner =~/^NASM version ([0-9]\.[0-9][0-9])+/);
+-if ($nasm_version < $nasm_version_min) {
+-  die "Error: nasm version $nasm_version is too old." .
+-    "$nasm_version_min or higher is required.";
+-}
++#my $nasm_version_min = 2.11;
++#my ($nasm_version) = ($nasm_banner =~/^NASM version ([0-9]\.[0-9][0-9])+/);
++#if ($nasm_version < $nasm_version_min) {
++#  die "Error: nasm version $nasm_version is too old." .
++#    "$nasm_version_min or higher is required.";
++#}
+ 
+ # gas version check
+-my $gas_version_min = 2.26;
+-my $gas_banner = `gcc -Wa,-v -c -o /dev/null -x assembler /dev/null 2>&1`;
+-my ($gas_version) = ($gas_banner =~/GNU assembler version ([2-9]\.[0-9]+)/);
+-if ($gas_version < $gas_version_min) {
+-  die "Error: gas version $gas_version is too old." .
+-    "$gas_version_min or higher is required.";
+-}
++#my $gas_version_min = 2.26;
++#my $gas_banner = `gcc -Wa,-v -c -o /dev/null -x assembler /dev/null 2>&1`;
++#my ($gas_version) = ($gas_banner =~/GNU assembler version ([2-9]\.[0-9]+)/);
++#if ($gas_version < $gas_version_min) {
++#  die "Error: gas version $gas_version is too old." .
++#    "$gas_version_min or higher is required.";
++#}
+ 
+ my $src_dir = "../openssl";
+ my $arch_dir = "../config/archs/$arch";
+@@ -111,7 +111,7 @@ foreach my $obj (@{$unified_info{sources}->{'apps/open
+ # Generate all asm files and copy into config/archs
+ foreach my $src (@generated_srcs) {
+   my $cmd = "cd ../openssl; CC=gcc ASM=nasm make -f $makefile $src;" .
+-    "cp --parents $src ../config/archs/$arch/$asm; cd ../config";
++    "install -D $src ../config/archs/$arch/$asm/$src; cd ../config";
+   system("$cmd") == 0 or die "Error in system($cmd)";
+ }
+ 
+@@ -161,5 +161,5 @@ close(CLGYPI);
+ 
+ # Clean Up
+ my $cmd2 ="cd $src_dir; make -f $makefile clean; make -f $makefile distclean;" .
+-    "git clean -f $src_dir/crypto";
++    "#git clean -f $src_dir/crypto";
+ system($cmd2) == 0 or die "Error in system($cmd2)";
diff --git a/lang/node/patches/patch-deps_openssl_config_opensslconf_asm_h b/lang/node/patches/patch-deps_openssl_config_opensslconf_asm_h
new file mode 100644
index 00000000000..775f8301119
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_opensslconf_asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/opensslconf_asm.h
+--- deps/openssl/config/opensslconf_asm.h.orig
++++ deps/openssl/config/opensslconf_asm.h
+@@ -109,7 +109,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/asm/include/openssl/opensslconf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/asm/include/openssl/opensslconf.h"
++# include "./archs/BSD-x86-elf/asm/include/openssl/opensslconf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/asm/include/openssl/opensslconf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_config_opensslconf_no-asm_h b/lang/node/patches/patch-deps_openssl_config_opensslconf_no-asm_h
new file mode 100644
index 00000000000..92f111182f4
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_config_opensslconf_no-asm_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/openssl/config/opensslconf_no-asm.h
+--- deps/openssl/config/opensslconf_no-asm.h.orig
++++ deps/openssl/config/opensslconf_no-asm.h
+@@ -17,7 +17,7 @@
+ #elif defined(_WIN32) && defined(_M_X64)
+ # include "./archs/VC-WIN64A/no-asm/include/openssl/opensslconf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__i386__)
+-# include "./archs/BSD-x86/no-asm/include/openssl/opensslconf.h"
++# include "./archs/BSD-x86-elf/no-asm/include/openssl/opensslconf.h"
+ #elif (defined(__FreeBSD__) || defined(__OpenBSD__)) && defined(__x86_64__)
+ # include "./archs/BSD-x86_64/no-asm/include/openssl/opensslconf.h"
+ #elif defined(__sun) && defined(__i386__)
diff --git a/lang/node/patches/patch-deps_openssl_openssl_asm_gypi b/lang/node/patches/patch-deps_openssl_openssl_asm_gypi
new file mode 100644
index 00000000000..068a01b4612
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_openssl_asm_gypi
@@ -0,0 +1,23 @@
+$OpenBSD$
+
+Index: deps/openssl/openssl_asm.gypi
+--- deps/openssl/openssl_asm.gypi.orig
++++ deps/openssl/openssl_asm.gypi
+@@ -22,6 +22,8 @@
+       'includes': ['config/archs/linux-elf/asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="mac"', {
+       'includes': ['config/archs/darwin-i386-cc/asm/openssl.gypi'],
++    }, 'target_arch=="ia32" and OS=="openbsd"', {
++      'includes': ['config/archs/BSD-x86-elf/asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="solaris"', {
+       'includes': ['config/archs/solaris-x86-gcc/asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="win"', {
+@@ -48,6 +50,8 @@
+       'includes': ['config/archs/BSD-x86_64/asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="mac"', {
+       'includes': ['config/archs/darwin64-x86_64-cc/asm/openssl.gypi'],
++    }, 'target_arch=="x64" and OS=="openbsd"', {
++      'includes': ['config/archs/BSD-x86_64/asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="solaris"', {
+       'includes': ['config/archs/solaris64-x86_64-gcc/asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="win"', {
diff --git a/lang/node/patches/patch-deps_openssl_openssl_gypi b/lang/node/patches/patch-deps_openssl_openssl_gypi
deleted file mode 100644
index 7a35e1c141a..00000000000
--- a/lang/node/patches/patch-deps_openssl_openssl_gypi
+++ /dev/null
@@ -1,39 +0,0 @@
-$OpenBSD: patch-deps_openssl_openssl_gypi,v 1.1 2018/11/16 21:18:15 naddy Exp $
-
-CAST assembly is not PIC.
-
-Index: deps/openssl/openssl.gypi
---- deps/openssl/openssl.gypi.orig
-+++ deps/openssl/openssl.gypi
-@@ -195,6 +195,7 @@
-       'openssl/crypto/camellia/cmll_utl.c',
-       'openssl/crypto/cast/c_cfb64.c',
-       'openssl/crypto/cast/c_ecb.c',
-+      'openssl/crypto/cast/c_enc.c',
-       'openssl/crypto/cast/c_ofb64.c',
-       'openssl/crypto/cast/c_skey.c',
-       'openssl/crypto/cmac/cm_ameth.c',
-@@ -657,7 +658,6 @@
-       'asm/x86-elf-gas/bn/x86-mont.s',
-       'asm/x86-elf-gas/bn/x86-gf2m.s',
-       'asm/x86-elf-gas/camellia/cmll-x86.s',
--      'asm/x86-elf-gas/cast/cast-586.s',
-       'asm/x86-elf-gas/des/crypt586.s',
-       'asm/x86-elf-gas/des/des-586.s',
-       'asm/x86-elf-gas/md5/md5-586.s',
-@@ -775,7 +775,6 @@
-       'asm/x86-macosx-gas/bn/x86-mont.s',
-       'asm/x86-macosx-gas/bn/x86-gf2m.s',
-       'asm/x86-macosx-gas/camellia/cmll-x86.s',
--      'asm/x86-macosx-gas/cast/cast-586.s',
-       'asm/x86-macosx-gas/des/crypt586.s',
-       'asm/x86-macosx-gas/des/des-586.s',
-       'asm/x86-macosx-gas/md5/md5-586.s',
-@@ -942,7 +941,6 @@
-       'asm/x86-win32-masm/bn/x86-mont.asm',
-       'asm/x86-win32-masm/bn/x86-gf2m.asm',
-       'asm/x86-win32-masm/camellia/cmll-x86.asm',
--      'asm/x86-win32-masm/cast/cast-586.asm',
-       'asm/x86-win32-masm/des/crypt586.asm',
-       'asm/x86-win32-masm/des/des-586.asm',
-       'asm/x86-win32-masm/md5/md5-586.asm',
diff --git a/lang/node/patches/patch-deps_openssl_openssl_no_asm_gypi b/lang/node/patches/patch-deps_openssl_openssl_no_asm_gypi
new file mode 100644
index 00000000000..d3af059f41a
--- /dev/null
+++ b/lang/node/patches/patch-deps_openssl_openssl_no_asm_gypi
@@ -0,0 +1,23 @@
+$OpenBSD$
+
+Index: deps/openssl/openssl_no_asm.gypi
+--- deps/openssl/openssl_no_asm.gypi.orig
++++ deps/openssl/openssl_no_asm.gypi
+@@ -23,6 +23,8 @@
+       'includes': ['config/archs/linux-elf/no-asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="mac"', {
+       'includes': ['config/archs/darwin-i386-cc/no-asm/openssl.gypi'],
++    }, 'target_arch=="ia32" and OS=="openbsd"', {
++      'includes': ['config/archs/BSD-x86-elf/no-asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="solaris"', {
+       'includes': ['config/archs/solaris-x86-gcc/no-asm/openssl.gypi'],
+     }, 'target_arch=="ia32" and OS=="win"', {
+@@ -34,6 +36,8 @@
+       'includes': ['config/archs/BSD-x86_64/no-asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="mac"', {
+       'includes': ['config/archs/darwin64-x86_64-cc/no-asm/openssl.gypi'],
++    }, 'target_arch=="x64" and OS=="openbsd"', {
++      'includes': ['config/archs/BSD-x86_64/no-asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="solaris"', {
+       'includes': ['config/archs/solaris64-x86_64-gcc/no-asm/openssl.gypi'],
+     }, 'target_arch=="x64" and OS=="win"', {
diff --git a/lang/node/patches/patch-deps_v8_Makefile b/lang/node/patches/patch-deps_v8_Makefile
deleted file mode 100644
index a64c90c3901..00000000000
--- a/lang/node/patches/patch-deps_v8_Makefile
+++ /dev/null
@@ -1,22 +0,0 @@
-$OpenBSD: patch-deps_v8_Makefile,v 1.5 2018/06/21 23:13:28 abieber Exp $
-Index: deps/v8/Makefile
---- deps/v8/Makefile.orig
-+++ deps/v8/Makefile
-@@ -436,7 +436,7 @@ $(OUT_MAKEFILES): $(GYPFILES) $(ENVFILE)
- 	$(eval V8_TARGET_ARCH:=$(subst .,,$(suffix $(basename $@))))
- 	PYTHONPATH="$(shell pwd)/tools/generate_shim_headers:$(shell pwd)/gypfiles:$(PYTHONPATH):$(shell pwd)/tools/gyp/pylib:$(PYTHONPATH)" \
- 	GYP_GENERATORS=make \
--	tools/gyp/gyp --generator-output="$(OUTDIR)" gypfiles/all.gyp \
-+	gyp --generator-output="$(OUTDIR)" gypfiles/all.gyp \
- 	              -Igypfiles/standalone.gypi --depth=. \
- 	              -Dv8_target_arch=$(V8_TARGET_ARCH) \
- 	              $(if $(findstring $(CXX_TARGET_ARCH),$(V8_TARGET_ARCH)), \
-@@ -449,7 +449,7 @@ $(OUT_MAKEFILES): $(GYPFILES) $(ENVFILE)
- $(OUTDIR)/Makefile.native: $(GYPFILES) $(ENVFILE)
- 	PYTHONPATH="$(shell pwd)/tools/generate_shim_headers:$(shell pwd)/gypfiles:$(PYTHONPATH):$(shell pwd)/tools/gyp/pylib:$(PYTHONPATH)" \
- 	GYP_GENERATORS=make \
--	tools/gyp/gyp --generator-output="$(OUTDIR)" gypfiles/all.gyp \
-+	gyp --generator-output="$(OUTDIR)" gypfiles/all.gyp \
- 	              -Igypfiles/standalone.gypi --depth=. -S.native $(GYPFLAGS)
- 
- # Replaces the old with the new environment file if they're different, which
diff --git a/lang/node/patches/patch-deps_v8_src_base_cpu_cc b/lang/node/patches/patch-deps_v8_src_base_cpu_cc
index 9bb663cf28d..de9d438a8e6 100644
--- a/lang/node/patches/patch-deps_v8_src_base_cpu_cc
+++ b/lang/node/patches/patch-deps_v8_src_base_cpu_cc
@@ -3,21 +3,21 @@ $OpenBSD: patch-deps_v8_src_base_cpu_cc,v 1.1 2018/02/10 14:50:35 abieber Exp $
 Index: deps/v8/src/base/cpu.cc
 --- deps/v8/src/base/cpu.cc.orig
 +++ deps/v8/src/base/cpu.cc
-@@ -607,6 +607,8 @@ CPU::CPU()
+@@ -424,6 +424,8 @@ CPU::CPU()
  
- #elif V8_HOST_ARCH_ARM64
+ #if V8_OS_LINUX
  
 +#ifdef V8_OS_LINUX
 +
    CPUInfo cpu_info;
  
    // Extract implementor from the "CPU implementer" field.
-@@ -640,6 +642,8 @@ CPU::CPU()
+@@ -457,6 +459,8 @@ CPU::CPU()
      }
      delete[] part;
    }
 +
 +#endif // V8_OS_LINUX
  
- #elif V8_HOST_ARCH_PPC
- 
+   // Extract architecture from the "CPU Architecture" field.
+   // The list is well-known, unlike the the output of
diff --git a/lang/node/patches/patch-deps_v8_src_base_platform_platform-openbsd_cc b/lang/node/patches/patch-deps_v8_src_base_platform_platform-openbsd_cc
new file mode 100644
index 00000000000..54ab7f50dfb
--- /dev/null
+++ b/lang/node/patches/patch-deps_v8_src_base_platform_platform-openbsd_cc
@@ -0,0 +1,25 @@
+$OpenBSD$
+
+Index: deps/v8/src/base/platform/platform-openbsd.cc
+--- deps/v8/src/base/platform/platform-openbsd.cc.orig
++++ deps/v8/src/base/platform/platform-openbsd.cc
+@@ -107,7 +107,7 @@ void OS::SignalCodeMovingGC() {
+   // it. This injects a GC marker into the stream of events generated
+   // by the kernel and allows us to synchronize V8 code log and the
+   // kernel log.
+-  int size = sysconf(_SC_PAGESIZE);
++  size_t size = sysconf(_SC_PAGESIZE);
+   FILE* f = fopen(OS::GetGCFakeMMapFile(), "w+");
+   if (f == nullptr) {
+     OS::PrintError("Failed to open %s\n", OS::GetGCFakeMMapFile());
+@@ -115,8 +115,8 @@ void OS::SignalCodeMovingGC() {
+   }
+   void* addr =
+       mmap(NULL, size, PROT_READ | PROT_EXEC, MAP_PRIVATE, fileno(f), 0);
+-  DCHECK(addr != MAP_FAILED);
+-  OS::Free(addr, size);
++  DCHECK_NE(MAP_FAILED, addr);
++  CHECK(Free(addr, size));
+   fclose(f);
+ }
+ 
diff --git a/lang/node/patches/patch-deps_v8_src_base_utils_random-number-generator_cc b/lang/node/patches/patch-deps_v8_src_base_utils_random-number-generator_cc
new file mode 100644
index 00000000000..1d169d9aab3
--- /dev/null
+++ b/lang/node/patches/patch-deps_v8_src_base_utils_random-number-generator_cc
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/v8/src/base/utils/random-number-generator.cc
+--- deps/v8/src/base/utils/random-number-generator.cc.orig
++++ deps/v8/src/base/utils/random-number-generator.cc
+@@ -50,6 +50,8 @@ RandomNumberGenerator::RandomNumberGenerator() {
+   result = rand_s(&second_half);
+   DCHECK_EQ(0, result);
+   SetSeed((static_cast<int64_t>(first_half) << 32) + second_half);
++#elif V8_OS_OPENBSD
++  SetSeed(arc4random());
+ #else
+   // Gather entropy from /dev/urandom if available.
+   FILE* fp = fopen("/dev/urandom", "rb");
diff --git a/lang/node/patches/patch-deps_v8_src_globals_h b/lang/node/patches/patch-deps_v8_src_globals_h
deleted file mode 100644
index bbf7654b946..00000000000
--- a/lang/node/patches/patch-deps_v8_src_globals_h
+++ /dev/null
@@ -1,19 +0,0 @@
-$OpenBSD: patch-deps_v8_src_globals_h,v 1.4 2018/06/21 23:13:28 abieber Exp $
-
-Slightly modified version of robert@'s patch for chromium v8
-
-Index: deps/v8/src/globals.h
---- deps/v8/src/globals.h.orig
-+++ deps/v8/src/globals.h
-@@ -204,7 +204,11 @@ const size_t kCodeRangeAreaAlignment = 256 * MB;
- const size_t kMaximalCodeRangeSize = 512 * MB;
- const size_t kCodeRangeAreaAlignment = 64 * KB;  // OS page on PPC Linux
- #else
-+#if V8_OS_OPENBSD // OpenBSD
-+const size_t kMaximalCodeRangeSize = 256 * MB;
-+#else
- const size_t kMaximalCodeRangeSize = 512 * MB;
-+#endif // OpenBSD
- const size_t kCodeRangeAreaAlignment = 4 * KB;  // OS page.
- #endif
- #if V8_OS_WIN
diff --git a/lang/node/patches/patch-deps_v8_src_log-utils_h b/lang/node/patches/patch-deps_v8_src_log-utils_h
new file mode 100644
index 00000000000..9ac88c3b002
--- /dev/null
+++ b/lang/node/patches/patch-deps_v8_src_log-utils_h
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/v8/src/log-utils.h
+--- deps/v8/src/log-utils.h.orig
++++ deps/v8/src/log-utils.h
+@@ -15,6 +15,8 @@
+ #include "src/flags.h"
+ #include "src/ostreams.h"
+ 
++#include <stdarg.h>
++
+ namespace v8 {
+ namespace internal {
+ 
diff --git a/lang/node/patches/patch-deps_v8_src_v8_gyp b/lang/node/patches/patch-deps_v8_src_v8_gyp
deleted file mode 100644
index 47d28334d36..00000000000
--- a/lang/node/patches/patch-deps_v8_src_v8_gyp
+++ /dev/null
@@ -1,14 +0,0 @@
-$OpenBSD: patch-deps_v8_src_v8_gyp,v 1.2 2018/06/21 23:13:28 abieber Exp $
-
-Index: deps/v8/src/v8.gyp
---- deps/v8/src/v8.gyp.orig
-+++ deps/v8/src/v8.gyp
-@@ -74,7 +74,7 @@
-               },
-             }],
-             ['soname_version!=""', {
--              'product_extension': 'so.<(soname_version)',
-+              'product_extension': 'so.${LIBv8_VERSION}',
-             }],
-           ],
-         },
diff --git a/lang/node/patches/patch-deps_v8_src_wasm_wasm-code-manager_cc b/lang/node/patches/patch-deps_v8_src_wasm_wasm-code-manager_cc
new file mode 100644
index 00000000000..0924c19c74b
--- /dev/null
+++ b/lang/node/patches/patch-deps_v8_src_wasm_wasm-code-manager_cc
@@ -0,0 +1,14 @@
+$OpenBSD$
+
+Index: deps/v8/src/wasm/wasm-code-manager.cc
+--- deps/v8/src/wasm/wasm-code-manager.cc.orig
++++ deps/v8/src/wasm/wasm-code-manager.cc
+@@ -68,7 +68,7 @@ constexpr bool kModuleCanAllocateMoreMemory = false;
+ void GenerateJumpTrampoline(MacroAssembler* masm, Address target) {
+   UseScratchRegisterScope temps(masm);
+   Register scratch = temps.AcquireX();
+-  __ Mov(scratch, reinterpret_cast<uint64_t>(target));
++  __ Mov(scratch, static_cast<uint64_t>(target));
+   __ Br(scratch);
+ }
+ #undef __
diff --git a/lang/node/patches/patch-lib_module_js b/lang/node/patches/patch-lib_module_js
index ef6a377bf22..01d8dd85de2 100644
--- a/lang/node/patches/patch-lib_module_js
+++ b/lang/node/patches/patch-lib_module_js
@@ -1,8 +1,9 @@
-$OpenBSD: patch-lib_module_js,v 1.9 2018/09/19 19:10:27 abieber Exp $
-Index: lib/module.js
---- lib/module.js.orig
-+++ lib/module.js
-@@ -715,7 +715,10 @@ Module._initPaths = function() {
+$OpenBSD$
+
+Index: lib/internal/modules/cjs/loader.js
+--- lib/internal/modules/cjs/loader.js.orig
++++ lib/internal/modules/cjs/loader.js
+@@ -773,7 +773,10 @@ Module._initPaths = function() {
    } else {
      prefixDir = path.resolve(process.execPath, '..', '..');
    }
diff --git a/lang/node/patches/patch-node_gypi b/lang/node/patches/patch-node_gypi
index 3c957178828..eb4342cbe28 100644
--- a/lang/node/patches/patch-node_gypi
+++ b/lang/node/patches/patch-node_gypi
@@ -3,7 +3,7 @@ $OpenBSD: patch-node_gypi,v 1.4 2018/09/19 19:10:27 abieber Exp $
 Index: node.gypi
 --- node.gypi.orig
 +++ node.gypi
-@@ -189,11 +189,14 @@
+@@ -213,11 +213,14 @@
          'NODE_PLATFORM="darwin"',
        ],
      }],
diff --git a/lang/node/patches/patch-tools_icu_icu-generic_gyp b/lang/node/patches/patch-tools_icu_icu-generic_gyp
index 57a70f0301a..505082675ff 100644
--- a/lang/node/patches/patch-tools_icu_icu-generic_gyp
+++ b/lang/node/patches/patch-tools_icu_icu-generic_gyp
@@ -2,7 +2,7 @@ $OpenBSD: patch-tools_icu_icu-generic_gyp,v 1.3 2018/06/21 23:13:28 abieber Exp
 Index: tools/icu/icu-generic.gyp
 --- tools/icu/icu-generic.gyp.orig
 +++ tools/icu/icu-generic.gyp
-@@ -549,6 +549,7 @@
+@@ -547,6 +547,7 @@
        'toolsets': [ 'host' ],
        'type': 'executable',
        'dependencies': [ 'icutools' ],
diff --git a/lang/node/patches/patch-tools_test_py b/lang/node/patches/patch-tools_test_py
index 466950a3f55..a33ccf9b5b8 100644
--- a/lang/node/patches/patch-tools_test_py
+++ b/lang/node/patches/patch-tools_test_py
@@ -2,7 +2,7 @@ $OpenBSD: patch-tools_test_py,v 1.5 2018/09/19 19:10:27 abieber Exp $
 Index: tools/test.py
 --- tools/test.py.orig
 +++ tools/test.py
-@@ -906,9 +906,9 @@ class Context(object):
+@@ -905,9 +905,9 @@ class Context(object):
  
    def GetVm(self, arch, mode):
      if arch == 'none':
diff --git a/lang/node/pkg/PLIST b/lang/node/pkg/PLIST
index 14e27c70a49..c4f01d4d8e0 100644
--- a/lang/node/pkg/PLIST
+++ b/lang/node/pkg/PLIST
@@ -4,7 +4,6 @@ bin/node-gyp
 bin/npm
 bin/npx
 include/node/
-include/node/android-ifaddrs.h
 include/node/common.gypi
 include/node/config.gypi
 include/node/libplatform/
@@ -20,50 +19,476 @@ include/node/node_version.h
 include/node/openssl/
 include/node/openssl/aes.h
 include/node/openssl/archs/
-include/node/openssl/archs/BSD-x86/
-include/node/openssl/archs/BSD-x86/opensslconf.h
+include/node/openssl/archs/BSD-x86-elf/
+include/node/openssl/archs/BSD-x86-elf/asm/
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/buildinf.h
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/include/
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/include/internal/
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/BSD-x86-elf/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/BSD-x86-elf/asm/include/
+include/node/openssl/archs/BSD-x86-elf/asm/include/openssl/
+include/node/openssl/archs/BSD-x86-elf/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/BSD-x86-elf/asm/include/progs.h
+include/node/openssl/archs/BSD-x86-elf/no-asm/
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/buildinf.h
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/include/
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/include/internal/
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/BSD-x86-elf/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/BSD-x86-elf/no-asm/include/
+include/node/openssl/archs/BSD-x86-elf/no-asm/include/openssl/
+include/node/openssl/archs/BSD-x86-elf/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/BSD-x86-elf/no-asm/include/progs.h
 include/node/openssl/archs/BSD-x86_64/
-include/node/openssl/archs/BSD-x86_64/opensslconf.h
+include/node/openssl/archs/BSD-x86_64/asm/
+include/node/openssl/archs/BSD-x86_64/asm/crypto/
+include/node/openssl/archs/BSD-x86_64/asm/crypto/buildinf.h
+include/node/openssl/archs/BSD-x86_64/asm/crypto/include/
+include/node/openssl/archs/BSD-x86_64/asm/crypto/include/internal/
+include/node/openssl/archs/BSD-x86_64/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/BSD-x86_64/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/BSD-x86_64/asm/include/
+include/node/openssl/archs/BSD-x86_64/asm/include/openssl/
+include/node/openssl/archs/BSD-x86_64/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/BSD-x86_64/asm/include/progs.h
+include/node/openssl/archs/BSD-x86_64/no-asm/
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/buildinf.h
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/include/
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/include/internal/
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/BSD-x86_64/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/BSD-x86_64/no-asm/include/
+include/node/openssl/archs/BSD-x86_64/no-asm/include/openssl/
+include/node/openssl/archs/BSD-x86_64/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/BSD-x86_64/no-asm/include/progs.h
 include/node/openssl/archs/VC-WIN32/
-include/node/openssl/archs/VC-WIN32/opensslconf.h
+include/node/openssl/archs/VC-WIN32/asm/
+include/node/openssl/archs/VC-WIN32/asm/crypto/
+include/node/openssl/archs/VC-WIN32/asm/crypto/buildinf.h
+include/node/openssl/archs/VC-WIN32/asm/crypto/include/
+include/node/openssl/archs/VC-WIN32/asm/crypto/include/internal/
+include/node/openssl/archs/VC-WIN32/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/VC-WIN32/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/VC-WIN32/asm/include/
+include/node/openssl/archs/VC-WIN32/asm/include/openssl/
+include/node/openssl/archs/VC-WIN32/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/VC-WIN32/asm/include/progs.h
+include/node/openssl/archs/VC-WIN32/no-asm/
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/buildinf.h
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/include/
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/include/internal/
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/VC-WIN32/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/VC-WIN32/no-asm/include/
+include/node/openssl/archs/VC-WIN32/no-asm/include/openssl/
+include/node/openssl/archs/VC-WIN32/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/VC-WIN32/no-asm/include/progs.h
 include/node/openssl/archs/VC-WIN64A/
-include/node/openssl/archs/VC-WIN64A/opensslconf.h
+include/node/openssl/archs/VC-WIN64A/asm/
+include/node/openssl/archs/VC-WIN64A/asm/crypto/
+include/node/openssl/archs/VC-WIN64A/asm/crypto/buildinf.h
+include/node/openssl/archs/VC-WIN64A/asm/crypto/include/
+include/node/openssl/archs/VC-WIN64A/asm/crypto/include/internal/
+include/node/openssl/archs/VC-WIN64A/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/VC-WIN64A/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/VC-WIN64A/asm/include/
+include/node/openssl/archs/VC-WIN64A/asm/include/openssl/
+include/node/openssl/archs/VC-WIN64A/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/VC-WIN64A/asm/include/progs.h
+include/node/openssl/archs/VC-WIN64A/no-asm/
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/buildinf.h
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/include/
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/include/internal/
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/VC-WIN64A/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/VC-WIN64A/no-asm/include/
+include/node/openssl/archs/VC-WIN64A/no-asm/include/openssl/
+include/node/openssl/archs/VC-WIN64A/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/VC-WIN64A/no-asm/include/progs.h
 include/node/openssl/archs/aix-gcc/
-include/node/openssl/archs/aix-gcc/opensslconf.h
+include/node/openssl/archs/aix-gcc/asm/
+include/node/openssl/archs/aix-gcc/asm/crypto/
+include/node/openssl/archs/aix-gcc/asm/crypto/buildinf.h
+include/node/openssl/archs/aix-gcc/asm/crypto/include/
+include/node/openssl/archs/aix-gcc/asm/crypto/include/internal/
+include/node/openssl/archs/aix-gcc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/aix-gcc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/aix-gcc/asm/include/
+include/node/openssl/archs/aix-gcc/asm/include/openssl/
+include/node/openssl/archs/aix-gcc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/aix-gcc/asm/include/progs.h
+include/node/openssl/archs/aix-gcc/no-asm/
+include/node/openssl/archs/aix-gcc/no-asm/crypto/
+include/node/openssl/archs/aix-gcc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/aix-gcc/no-asm/crypto/include/
+include/node/openssl/archs/aix-gcc/no-asm/crypto/include/internal/
+include/node/openssl/archs/aix-gcc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/aix-gcc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/aix-gcc/no-asm/include/
+include/node/openssl/archs/aix-gcc/no-asm/include/openssl/
+include/node/openssl/archs/aix-gcc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/aix-gcc/no-asm/include/progs.h
 include/node/openssl/archs/aix64-gcc/
-include/node/openssl/archs/aix64-gcc/opensslconf.h
+include/node/openssl/archs/aix64-gcc/asm/
+include/node/openssl/archs/aix64-gcc/asm/crypto/
+include/node/openssl/archs/aix64-gcc/asm/crypto/buildinf.h
+include/node/openssl/archs/aix64-gcc/asm/crypto/include/
+include/node/openssl/archs/aix64-gcc/asm/crypto/include/internal/
+include/node/openssl/archs/aix64-gcc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/aix64-gcc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/aix64-gcc/asm/include/
+include/node/openssl/archs/aix64-gcc/asm/include/openssl/
+include/node/openssl/archs/aix64-gcc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/aix64-gcc/asm/include/progs.h
+include/node/openssl/archs/aix64-gcc/no-asm/
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/include/
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/include/internal/
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/aix64-gcc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/aix64-gcc/no-asm/include/
+include/node/openssl/archs/aix64-gcc/no-asm/include/openssl/
+include/node/openssl/archs/aix64-gcc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/aix64-gcc/no-asm/include/progs.h
 include/node/openssl/archs/darwin-i386-cc/
-include/node/openssl/archs/darwin-i386-cc/opensslconf.h
+include/node/openssl/archs/darwin-i386-cc/asm/
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/buildinf.h
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/include/
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/include/internal/
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/darwin-i386-cc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/darwin-i386-cc/asm/include/
+include/node/openssl/archs/darwin-i386-cc/asm/include/openssl/
+include/node/openssl/archs/darwin-i386-cc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/darwin-i386-cc/asm/include/progs.h
+include/node/openssl/archs/darwin-i386-cc/no-asm/
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/include/
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/include/internal/
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/darwin-i386-cc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/darwin-i386-cc/no-asm/include/
+include/node/openssl/archs/darwin-i386-cc/no-asm/include/openssl/
+include/node/openssl/archs/darwin-i386-cc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/darwin-i386-cc/no-asm/include/progs.h
 include/node/openssl/archs/darwin64-x86_64-cc/
-include/node/openssl/archs/darwin64-x86_64-cc/opensslconf.h
+include/node/openssl/archs/darwin64-x86_64-cc/asm/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/buildinf.h
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/include/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/include/internal/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/darwin64-x86_64-cc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/darwin64-x86_64-cc/asm/include/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/include/openssl/
+include/node/openssl/archs/darwin64-x86_64-cc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/darwin64-x86_64-cc/asm/include/progs.h
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/include/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/include/internal/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/include/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/include/openssl/
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/darwin64-x86_64-cc/no-asm/include/progs.h
 include/node/openssl/archs/linux-aarch64/
-include/node/openssl/archs/linux-aarch64/opensslconf.h
+include/node/openssl/archs/linux-aarch64/asm/
+include/node/openssl/archs/linux-aarch64/asm/crypto/
+include/node/openssl/archs/linux-aarch64/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-aarch64/asm/crypto/include/
+include/node/openssl/archs/linux-aarch64/asm/crypto/include/internal/
+include/node/openssl/archs/linux-aarch64/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-aarch64/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-aarch64/asm/include/
+include/node/openssl/archs/linux-aarch64/asm/include/openssl/
+include/node/openssl/archs/linux-aarch64/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-aarch64/asm/include/progs.h
+include/node/openssl/archs/linux-aarch64/no-asm/
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/include/
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-aarch64/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-aarch64/no-asm/include/
+include/node/openssl/archs/linux-aarch64/no-asm/include/openssl/
+include/node/openssl/archs/linux-aarch64/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-aarch64/no-asm/include/progs.h
 include/node/openssl/archs/linux-armv4/
-include/node/openssl/archs/linux-armv4/opensslconf.h
+include/node/openssl/archs/linux-armv4/asm/
+include/node/openssl/archs/linux-armv4/asm/crypto/
+include/node/openssl/archs/linux-armv4/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-armv4/asm/crypto/include/
+include/node/openssl/archs/linux-armv4/asm/crypto/include/internal/
+include/node/openssl/archs/linux-armv4/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-armv4/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-armv4/asm/include/
+include/node/openssl/archs/linux-armv4/asm/include/openssl/
+include/node/openssl/archs/linux-armv4/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-armv4/asm/include/progs.h
+include/node/openssl/archs/linux-armv4/no-asm/
+include/node/openssl/archs/linux-armv4/no-asm/crypto/
+include/node/openssl/archs/linux-armv4/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-armv4/no-asm/crypto/include/
+include/node/openssl/archs/linux-armv4/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-armv4/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-armv4/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-armv4/no-asm/include/
+include/node/openssl/archs/linux-armv4/no-asm/include/openssl/
+include/node/openssl/archs/linux-armv4/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-armv4/no-asm/include/progs.h
 include/node/openssl/archs/linux-elf/
-include/node/openssl/archs/linux-elf/opensslconf.h
+include/node/openssl/archs/linux-elf/asm/
+include/node/openssl/archs/linux-elf/asm/crypto/
+include/node/openssl/archs/linux-elf/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-elf/asm/crypto/include/
+include/node/openssl/archs/linux-elf/asm/crypto/include/internal/
+include/node/openssl/archs/linux-elf/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-elf/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-elf/asm/include/
+include/node/openssl/archs/linux-elf/asm/include/openssl/
+include/node/openssl/archs/linux-elf/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-elf/asm/include/progs.h
+include/node/openssl/archs/linux-elf/no-asm/
+include/node/openssl/archs/linux-elf/no-asm/crypto/
+include/node/openssl/archs/linux-elf/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-elf/no-asm/crypto/include/
+include/node/openssl/archs/linux-elf/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-elf/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-elf/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-elf/no-asm/include/
+include/node/openssl/archs/linux-elf/no-asm/include/openssl/
+include/node/openssl/archs/linux-elf/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-elf/no-asm/include/progs.h
 include/node/openssl/archs/linux-ppc/
-include/node/openssl/archs/linux-ppc/opensslconf.h
+include/node/openssl/archs/linux-ppc/asm/
+include/node/openssl/archs/linux-ppc/asm/crypto/
+include/node/openssl/archs/linux-ppc/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc/asm/crypto/include/
+include/node/openssl/archs/linux-ppc/asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc/asm/include/
+include/node/openssl/archs/linux-ppc/asm/include/openssl/
+include/node/openssl/archs/linux-ppc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc/asm/include/progs.h
+include/node/openssl/archs/linux-ppc/no-asm/
+include/node/openssl/archs/linux-ppc/no-asm/crypto/
+include/node/openssl/archs/linux-ppc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc/no-asm/crypto/include/
+include/node/openssl/archs/linux-ppc/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc/no-asm/include/
+include/node/openssl/archs/linux-ppc/no-asm/include/openssl/
+include/node/openssl/archs/linux-ppc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc/no-asm/include/progs.h
 include/node/openssl/archs/linux-ppc64/
-include/node/openssl/archs/linux-ppc64/opensslconf.h
+include/node/openssl/archs/linux-ppc64/asm/
+include/node/openssl/archs/linux-ppc64/asm/crypto/
+include/node/openssl/archs/linux-ppc64/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc64/asm/crypto/include/
+include/node/openssl/archs/linux-ppc64/asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc64/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc64/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc64/asm/include/
+include/node/openssl/archs/linux-ppc64/asm/include/openssl/
+include/node/openssl/archs/linux-ppc64/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc64/asm/include/progs.h
+include/node/openssl/archs/linux-ppc64/no-asm/
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/include/
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc64/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc64/no-asm/include/
+include/node/openssl/archs/linux-ppc64/no-asm/include/openssl/
+include/node/openssl/archs/linux-ppc64/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc64/no-asm/include/progs.h
+include/node/openssl/archs/linux-ppc64le/
+include/node/openssl/archs/linux-ppc64le/asm/
+include/node/openssl/archs/linux-ppc64le/asm/crypto/
+include/node/openssl/archs/linux-ppc64le/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc64le/asm/crypto/include/
+include/node/openssl/archs/linux-ppc64le/asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc64le/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc64le/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc64le/asm/include/
+include/node/openssl/archs/linux-ppc64le/asm/include/openssl/
+include/node/openssl/archs/linux-ppc64le/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc64le/asm/include/progs.h
+include/node/openssl/archs/linux-ppc64le/no-asm/
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/include/
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-ppc64le/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-ppc64le/no-asm/include/
+include/node/openssl/archs/linux-ppc64le/no-asm/include/openssl/
+include/node/openssl/archs/linux-ppc64le/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-ppc64le/no-asm/include/progs.h
 include/node/openssl/archs/linux-x32/
-include/node/openssl/archs/linux-x32/opensslconf.h
+include/node/openssl/archs/linux-x32/asm/
+include/node/openssl/archs/linux-x32/asm/crypto/
+include/node/openssl/archs/linux-x32/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-x32/asm/crypto/include/
+include/node/openssl/archs/linux-x32/asm/crypto/include/internal/
+include/node/openssl/archs/linux-x32/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-x32/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-x32/asm/include/
+include/node/openssl/archs/linux-x32/asm/include/openssl/
+include/node/openssl/archs/linux-x32/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-x32/asm/include/progs.h
+include/node/openssl/archs/linux-x32/no-asm/
+include/node/openssl/archs/linux-x32/no-asm/crypto/
+include/node/openssl/archs/linux-x32/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-x32/no-asm/crypto/include/
+include/node/openssl/archs/linux-x32/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-x32/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-x32/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-x32/no-asm/include/
+include/node/openssl/archs/linux-x32/no-asm/include/openssl/
+include/node/openssl/archs/linux-x32/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-x32/no-asm/include/progs.h
 include/node/openssl/archs/linux-x86_64/
-include/node/openssl/archs/linux-x86_64/opensslconf.h
+include/node/openssl/archs/linux-x86_64/asm/
+include/node/openssl/archs/linux-x86_64/asm/crypto/
+include/node/openssl/archs/linux-x86_64/asm/crypto/buildinf.h
+include/node/openssl/archs/linux-x86_64/asm/crypto/include/
+include/node/openssl/archs/linux-x86_64/asm/crypto/include/internal/
+include/node/openssl/archs/linux-x86_64/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-x86_64/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-x86_64/asm/include/
+include/node/openssl/archs/linux-x86_64/asm/include/openssl/
+include/node/openssl/archs/linux-x86_64/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-x86_64/asm/include/progs.h
+include/node/openssl/archs/linux-x86_64/no-asm/
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/include/
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux-x86_64/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux-x86_64/no-asm/include/
+include/node/openssl/archs/linux-x86_64/no-asm/include/openssl/
+include/node/openssl/archs/linux-x86_64/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux-x86_64/no-asm/include/progs.h
 include/node/openssl/archs/linux32-s390x/
-include/node/openssl/archs/linux32-s390x/opensslconf.h
+include/node/openssl/archs/linux32-s390x/asm/
+include/node/openssl/archs/linux32-s390x/asm/crypto/
+include/node/openssl/archs/linux32-s390x/asm/crypto/buildinf.h
+include/node/openssl/archs/linux32-s390x/asm/crypto/include/
+include/node/openssl/archs/linux32-s390x/asm/crypto/include/internal/
+include/node/openssl/archs/linux32-s390x/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux32-s390x/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux32-s390x/asm/include/
+include/node/openssl/archs/linux32-s390x/asm/include/openssl/
+include/node/openssl/archs/linux32-s390x/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux32-s390x/asm/include/progs.h
+include/node/openssl/archs/linux32-s390x/no-asm/
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/include/
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux32-s390x/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux32-s390x/no-asm/include/
+include/node/openssl/archs/linux32-s390x/no-asm/include/openssl/
+include/node/openssl/archs/linux32-s390x/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux32-s390x/no-asm/include/progs.h
 include/node/openssl/archs/linux64-s390x/
-include/node/openssl/archs/linux64-s390x/opensslconf.h
+include/node/openssl/archs/linux64-s390x/asm/
+include/node/openssl/archs/linux64-s390x/asm/crypto/
+include/node/openssl/archs/linux64-s390x/asm/crypto/buildinf.h
+include/node/openssl/archs/linux64-s390x/asm/crypto/include/
+include/node/openssl/archs/linux64-s390x/asm/crypto/include/internal/
+include/node/openssl/archs/linux64-s390x/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux64-s390x/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux64-s390x/asm/include/
+include/node/openssl/archs/linux64-s390x/asm/include/openssl/
+include/node/openssl/archs/linux64-s390x/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux64-s390x/asm/include/progs.h
+include/node/openssl/archs/linux64-s390x/no-asm/
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/buildinf.h
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/include/
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/include/internal/
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/linux64-s390x/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/linux64-s390x/no-asm/include/
+include/node/openssl/archs/linux64-s390x/no-asm/include/openssl/
+include/node/openssl/archs/linux64-s390x/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/linux64-s390x/no-asm/include/progs.h
 include/node/openssl/archs/solaris-x86-gcc/
-include/node/openssl/archs/solaris-x86-gcc/opensslconf.h
+include/node/openssl/archs/solaris-x86-gcc/asm/
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/buildinf.h
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/include/
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/include/internal/
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/solaris-x86-gcc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/solaris-x86-gcc/asm/include/
+include/node/openssl/archs/solaris-x86-gcc/asm/include/openssl/
+include/node/openssl/archs/solaris-x86-gcc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/solaris-x86-gcc/asm/include/progs.h
+include/node/openssl/archs/solaris-x86-gcc/no-asm/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/include/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/include/internal/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/solaris-x86-gcc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/solaris-x86-gcc/no-asm/include/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/include/openssl/
+include/node/openssl/archs/solaris-x86-gcc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/solaris-x86-gcc/no-asm/include/progs.h
 include/node/openssl/archs/solaris64-x86_64-gcc/
-include/node/openssl/archs/solaris64-x86_64-gcc/opensslconf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/buildinf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/include/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/include/internal/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/include/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/include/openssl/
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/include/openssl/opensslconf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/asm/include/progs.h
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/buildinf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/include/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/include/internal/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/include/internal/bn_conf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/crypto/include/internal/dso_conf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/include/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/include/openssl/
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/include/openssl/opensslconf.h
+include/node/openssl/archs/solaris64-x86_64-gcc/no-asm/include/progs.h
 include/node/openssl/asn1.h
 include/node/openssl/asn1_mac.h
 include/node/openssl/asn1t.h
+include/node/openssl/async.h
 include/node/openssl/bio.h
 include/node/openssl/blowfish.h
 include/node/openssl/bn.h
+include/node/openssl/bn_conf.h
+include/node/openssl/bn_conf_asm.h
+include/node/openssl/bn_conf_no-asm.h
 include/node/openssl/buffer.h
 include/node/openssl/camellia.h
 include/node/openssl/cast.h
@@ -73,11 +498,13 @@ include/node/openssl/comp.h
 include/node/openssl/conf.h
 include/node/openssl/conf_api.h
 include/node/openssl/crypto.h
+include/node/openssl/ct.h
 include/node/openssl/des.h
-include/node/openssl/des_old.h
 include/node/openssl/dh.h
 include/node/openssl/dsa.h
-include/node/openssl/dso.h
+include/node/openssl/dso_conf.h
+include/node/openssl/dso_conf_asm.h
+include/node/openssl/dso_conf_no-asm.h
 include/node/openssl/dtls1.h
 include/node/openssl/e_os2.h
 include/node/openssl/ebcdic.h
@@ -89,9 +516,9 @@ include/node/openssl/err.h
 include/node/openssl/evp.h
 include/node/openssl/hmac.h
 include/node/openssl/idea.h
-include/node/openssl/krb5_asn.h
-include/node/openssl/kssl.h
+include/node/openssl/kdf.h
 include/node/openssl/lhash.h
+include/node/openssl/md2.h
 include/node/openssl/md4.h
 include/node/openssl/md5.h
 include/node/openssl/mdc2.h
@@ -100,16 +527,18 @@ include/node/openssl/obj_mac.h
 include/node/openssl/objects.h
 include/node/openssl/ocsp.h
 include/node/openssl/opensslconf.h
+include/node/openssl/opensslconf_asm.h
+include/node/openssl/opensslconf_no-asm.h
 include/node/openssl/opensslv.h
 include/node/openssl/ossl_typ.h
 include/node/openssl/pem.h
 include/node/openssl/pem2.h
 include/node/openssl/pkcs12.h
 include/node/openssl/pkcs7.h
-include/node/openssl/pqueue.h
 include/node/openssl/rand.h
 include/node/openssl/rc2.h
 include/node/openssl/rc4.h
+include/node/openssl/rc5.h
 include/node/openssl/ripemd.h
 include/node/openssl/rsa.h
 include/node/openssl/safestack.h
@@ -119,7 +548,6 @@ include/node/openssl/srp.h
 include/node/openssl/srtp.h
 include/node/openssl/ssl.h
 include/node/openssl/ssl2.h
-include/node/openssl/ssl23.h
 include/node/openssl/ssl3.h
 include/node/openssl/stack.h
 include/node/openssl/symhacks.h
@@ -127,28 +555,27 @@ include/node/openssl/tls1.h
 include/node/openssl/ts.h
 include/node/openssl/txt_db.h
 include/node/openssl/ui.h
-include/node/openssl/ui_compat.h
 include/node/openssl/whrlpool.h
 include/node/openssl/x509.h
 include/node/openssl/x509_vfy.h
 include/node/openssl/x509v3.h
-include/node/pthread-barrier.h
-include/node/stdint-msvc2008.h
-include/node/tree.h
-include/node/uv-aix.h
-include/node/uv-bsd.h
-include/node/uv-darwin.h
-include/node/uv-errno.h
-include/node/uv-linux.h
-include/node/uv-os390.h
-include/node/uv-posix.h
-include/node/uv-sunos.h
-include/node/uv-threadpool.h
-include/node/uv-unix.h
-include/node/uv-version.h
-include/node/uv-win.h
+include/node/uv/
 include/node/uv.h
-include/node/v8-debug.h
+include/node/uv/aix.h
+include/node/uv/android-ifaddrs.h
+include/node/uv/bsd.h
+include/node/uv/darwin.h
+include/node/uv/errno.h
+include/node/uv/linux.h
+include/node/uv/os390.h
+include/node/uv/posix.h
+include/node/uv/stdint-msvc2008.h
+include/node/uv/sunos.h
+include/node/uv/threadpool.h
+include/node/uv/tree.h
+include/node/uv/unix.h
+include/node/uv/version.h
+include/node/uv/win.h
 include/node/v8-inspector-protocol.h
 include/node/v8-inspector.h
 include/node/v8-platform.h
@@ -160,6 +587,8 @@ include/node/v8-version-string.h
 include/node/v8-version.h
 include/node/v8.h
 include/node/v8config.h
+include/node/zconf.h
+include/node/zlib.h
 lib/node_modules/
 lib/node_modules/JSONStream/
 lib/node_modules/JSONStream/.travis.yml
@@ -2440,7 +2869,6 @@ lib/node_modules/npm/appveyor.yml
 lib/node_modules/npm/bin/
 lib/node_modules/npm/bin/node-gyp-bin/
 lib/node_modules/npm/bin/node-gyp-bin/node-gyp
-lib/node_modules/npm/bin/node-gyp-bin/node-gyp.beforesubst
 lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd
 lib/node_modules/npm/bin/npm
 lib/node_modules/npm/bin/npm-cli.js
